Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::CenteredPlacer Class Reference

An abstract placer base class for placers which need a center point. More...

Inheritance diagram for osgParticle::CenteredPlacer:

[legend]
List of all members.

## Public Member Functions
| CenteredPlacer ()
| CenteredPlacer (const CenteredPlacer &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual bool | isSameKindAs (const osg::Object *obj) const
const osg::Vec3 & | getCenter () const
| Get the center point.
void | setCenter (const osg::Vec3 &v)
| Set the center point.
void | setCenter (float x, float y, float z)
| Set the center point.
## Protected Member Functions
virtual | ~CenteredPlacer ()

## Detailed Description

An abstract placer base class for placers which need a center point.

## Constructor & Destructor Documentation

osgParticle::CenteredPlacer::CenteredPlacer | ( |  | ) | `[inline]`

osgParticle::CenteredPlacer::CenteredPlacer | ( | const CenteredPlacer & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgParticle::CenteredPlacer::~CenteredPlacer | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* osgParticle::CenteredPlacer::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osgParticle::Placer.

const osg::Vec3 & osgParticle::CenteredPlacer::getCenter | ( |  | ) | const`[inline]`

| Get the center point.

virtual bool osgParticle::CenteredPlacer::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osgParticle::Placer.

virtual const char* osgParticle::CenteredPlacer::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osgParticle::Placer.

void osgParticle::CenteredPlacer::setCenter | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Set the center point.

void osgParticle::CenteredPlacer::setCenter | ( | const osg::Vec3 & | v | ) | `[inline]`

| Set the center point.

The documentation for this class was generated from the following file:

- CenteredPlacer